GET /positions

traccar.org

Summary: Fetches a list of Positions
Operation ID:
Auth: unknown
Description

We strongly recommend using [Traccar WebSocket API](https://www.traccar.org/traccar-api/) instead of periodically polling positions endpoint. Without any params, it returns a list of last known positions for all the user's Devices. _from_ and _to_ fields are not required with _id_.

Parameters (4)

deviceId (integer, query, optional)

_deviceId_ is optional, but requires the _from_ and _to_ parameters when used

from (string, query, optional)

in IS0 8601 format. eg. `1963-11-22T18:30:00Z`

id (integer, query, optional)

To fetch one or more positions. Multiple params can be passed like `id=31&id=42`

to (string, query, optional)

in IS0 8601 format. eg. `1963-11-22T18:30:00Z`

No probe data for this endpoint yet.